use coll2115, clear

capture drop cb1 cb2 cb3 cb4 cb5 cb6 cb7 cb8 cb9
reg billp tune minwin mwccbi mwccom mwcems3 mwccbid mwccbie coalgov coalcbi coalcom coalems3 coalcbid coalcbie fractsc polar exog cwn comm ems3 comcbi ems3cbi openness cbiopen comopen ems3open trade cbitrd comtrd ems3trd, cl(ifs)

*partial effect of openness on billp for levels of comitment
*singlemaj,  no comitment
gen cb1=_b[_cons]+_b[tune]*1184 +_b[minwin]*0 +_b[mwccbi]*0*cwn +_b[mwccom]*0*0 +_b[mwcems3]*0*0 + _b[mwccbid]*cwn*0*0 +_b[mwccbie]*cwn*0*0 + _b[coalgov]*0 +_b[coalcbi]*0*cwn +_b[coalcom]*0*0  +_b[coalems3]*0*0 + _b[coalcbid]*0*cwn*0 + _b[coalcbie]*0*cwn*0  +_b[cwn]*cwn +_b[comm]*0 +_b[fractsc]*0.69 +_b[ems3]*0 + _b[polar]*.13 + _b[exog]*.18 + _b[comcbi]*cwn*0 +_b[ems3cbi]*cwn*0 + _b[openness]*11  +_b[cbiopen]*cwn*11 +_b[comopen]*0*11 +_b[ems3open]*0*11 +_b[trade]*60 +_b[cbitrd]*60*cwn +_b[comtrd]*0*60 +_b[ems3trd]*0*60
replace cb1=. if dum==1
label var cb1 "SPM; No Commitment"
*mwc,  no comitment
gen cb2=_b[_cons]+_b[tune]*1184 +_b[minwin]*1 +_b[mwccbi]*1*cwn +_b[mwccom]*1*0 +_b[mwcems3]*1*0 + _b[mwccbid]*cwn*1*0 +_b[mwccbie]*cwn*1*0  +_b[coalgov]*0 +_b[coalcbi]*0*cwn  +_b[coalcom]*0*0  +_b[coalems3]*0*0 + _b[coalcbid]*0*cwn*0 + _b[coalcbie]*0*cwn*0  +_b[cwn]*cwn +_b[comm]*0 +_b[fractsc]*0.69 +_b[ems3]*0 + _b[polar]*.13 + _b[exog]*.18 + _b[comcbi]*cwn*0 +_b[ems3cbi]*cwn*0 + _b[openness]*11  +_b[cbiopen]*cwn*11 +_b[comopen]*0*11 +_b[ems3open]*0*11 +_b[trade]*(60) + _b[cbitrd]*(60)*cwn + _b[comtrd]*0*60 + _b[ems3trd]*0*60 
replace cb2=. if dum==1
label var cb2 "MWC; No Commitment"
*coalition/minority, no comitment
gen cb3=_b[_cons]+_b[tune]*1184 +_b[minwin]*0 +_b[mwccbi]*0*cwn +_b[mwccom]*0*0 +_b[mwcems3]*0*0 + _b[mwccbid]*cwn*0*0 +_b[mwccbie]*cwn*0*0  +_b[coalgov]*1 +_b[coalcbi]*1*cwn  +_b[coalcom]*1*0  +_b[coalems3]*1*0 + _b[coalcbid]*1*cwn*0 + _b[coalcbie]*1*cwn*0 +_b[cwn]*cwn +_b[comm]*0 +_b[fractsc]*0.69 +_b[ems3]*0 + _b[polar]*.13 + _b[exog]*.18 + _b[comcbi]*cwn*0 +_b[ems3cbi]*cwn*0 + _b[openness]*11  +_b[cbiopen]*cwn*11 +_b[comopen]*0*11 +_b[ems3open]*0*11 +_b[trade]*(60) + _b[cbitrd]*(60)*cwn + _b[comtrd]*0*60 + _b[ems3trd]*0*60
replace cb3=. if dum==1
label var cb3 "MIN/OVER; No Commitment"
*singlemaj, comitment
gen cb4=_b[_cons]+_b[tune]*1184 +_b[minwin]*0 +_b[mwccbi]*0*cwn +_b[mwccom]*0*1 +_b[mwcems3]*0*0 + _b[mwccbid]*cwn*0*1 +_b[mwccbie]*cwn*0*0  +_b[coalgov]*0 +_b[coalcbi]*0*cwn  +_b[coalcom]*0*1  +_b[coalems3]*0*0 + _b[coalcbid]*0*cwn*0 + _b[coalcbie]*0*cwn*0 +_b[cwn]*cwn +_b[comm]*1 +_b[fractsc]*0.69 +_b[ems3]*0 + _b[polar]*.13 + _b[exog]*.18 + _b[comcbi]*cwn*1 +_b[ems3cbi]*cwn*0 + _b[openness]*11  +_b[cbiopen]*cwn*11 +_b[comopen]*1*11 +_b[ems3open]*0*11 +_b[trade]*(60) + _b[cbitrd]*(60)*cwn + _b[comtrd]*1*60 + _b[ems3trd]*0*60
replace cb4=. if dum==1
label var cb4 "SPM; Commitment"
*mwc,  comitment
gen cb5=_b[_cons]+_b[tune]*1184 +_b[minwin]*1 +_b[mwccbi]*1*cwn +_b[mwccom]*1*1 +_b[mwcems3]*1*0 + _b[mwccbid]*cwn*1*1 +_b[mwccbie]*cwn*1*0  +_b[coalgov]*0 +_b[coalcbi]*0*cwn  +_b[coalcom]*0*1  +_b[coalems3]*0*0 + _b[coalcbid]*0*cwn*0 + _b[coalcbie]*0*cwn*0 +_b[cwn]*cwn +_b[comm]*1 +_b[fractsc]*0.69 +_b[ems3]*0 + _b[polar]*.13 + _b[exog]*.18 + _b[comcbi]*cwn*1 +_b[ems3cbi]*cwn*0+ _b[openness]*11  +_b[cbiopen]*cwn*11 +_b[comopen]*1*11 +_b[ems3open]*0*11 +_b[trade]*(60) + _b[cbitrd]*(60)*cwn + _b[comtrd]*1*60 + _b[ems3trd]*0*60
replace cb5=. if dum==1
label var cb5 "MWC; Commitment"

*coalition/minority, comed
gen cb6=_b[_cons]+_b[tune]*1184 +_b[minwin]*0 +_b[mwccbi]*0*cwn +_b[mwccom]*0*1 +_b[mwcems3]*0*0 + _b[mwccbid]*cwn*0*1 +_b[mwccbie]*cwn*0*0  +_b[coalgov]*1 +_b[coalcbi]*1*cwn  +_b[coalcom]*1*1  +_b[coalems3]*1*0 + _b[coalcbid]*1*cwn*1 + _b[coalcbie]*1*cwn*0 +_b[cwn]*cwn +_b[comm]*1 +_b[fractsc]*0.69 +_b[ems3]*0 + _b[polar]*.13 + _b[exog]*.18 + _b[comcbi]*cwn*1 +_b[ems3cbi]*cwn*0 + _b[openness]*11 +_b[cbiopen]*cwn*11 +_b[comopen]*1*11 +_b[ems3open]*0*11 +_b[trade]*(60) + _b[cbitrd]*(60)*cwn + _b[comtrd]*1*60 + _b[ems3trd]*0*60
replace cb6=. if dum==1
label var cb6 "MIN/OVER; Commitment"

*singlemaj, ems
gen cb7=_b[_cons]+_b[tune]*1184 +_b[minwin]*0 +_b[mwccbi]*0*cwn +_b[mwccom]*1*0 +_b[mwcems3]*0*1 + _b[mwccbid]*cwn*1*0 +_b[mwccbie]*cwn*0*1  +_b[coalgov]*0 +_b[coalcbi]*0*cwn  +_b[coalcom]*0*1  +_b[coalems3]*0*1 + _b[coalcbid]*0*cwn*1 + _b[coalcbie]*0*cwn*1 +_b[cwn]*cwn +_b[comm]*1 +_b[fractsc]*0.69 +_b[ems3]*1 + _b[polar]*.13 + _b[exog]*.18 + _b[comcbi]*cwn*1 +_b[ems3cbi]*cwn*1 + _b[openness]*11  +_b[cbiopen]*cwn*11 +_b[comopen]*1*11 +_b[ems3open]*1*11 +_b[trade]*(60) + _b[cbitrd]*(60)*cwn + _b[comtrd]*1*60 + _b[ems3trd]*1*60
replace cb7=. if dum==1

*mwc,  ems
gen cb8=_b[_cons]+_b[tune]*1184 +_b[minwin]*1 +_b[mwccbi]*1*cwn +_b[mwccom]*1*1 +_b[mwcems3]*1*1 + _b[mwccbid]*cwn*1*1 +_b[mwccbie]*cwn*1*1  +_b[coalgov]*0 +_b[coalcbi]*0*cwn  +_b[coalcom]*0*1  +_b[coalems3]*0*1 + _b[coalcbid]*0*cwn*1 + _b[coalcbie]*0*cwn*1  +_b[cwn]*cwn +_b[comm]*1 +_b[fractsc]*0.69 +_b[ems3]*1 + _b[polar]*.13 + _b[exog]*.18 + _b[comcbi]*cwn*1 +_b[ems3cbi]*cwn*1+ _b[openness]*11  +_b[cbiopen]*cwn*11 +_b[comopen]*1*11 +_b[ems3open]*1*11 +_b[trade]*(60) + _b[cbitrd]*(60)*cwn + _b[comtrd]*1*60 + _b[ems3trd]*1*60
replace cb8=. if dum==1

*coalition/minority, ems
gen cb9=_b[_cons]+_b[tune]*1184 +_b[minwin]*0 +_b[mwccbi]*0*cwn +_b[mwccom]*1*0 +_b[mwcems3]*0*1 + _b[mwccbid]*cwn*1*0 +_b[mwccbie]*cwn*0*1  +_b[coalgov]*1 +_b[coalcbi]*1*cwn  +_b[coalcom]*1*1  +_b[coalems3]*1*1 + _b[coalcbid]*1*cwn*1 + _b[coalcbie]*1*cwn*1  +_b[cwn]*cwn +_b[comm]*1 +_b[fractsc]*0.69 +_b[ems3]*1 + _b[polar]*.13 + _b[exog]*.18 + _b[comcbi]*cwn*1 +_b[ems3cbi]*cwn*1 + _b[openness]*11 +_b[cbiopen]*cwn*11 +_b[comopen]*1*11 +_b[ems3open]*1*11 +_b[trade]*(60) + _b[cbitrd]*(60)*cwn + _b[comtrd]*1*60 + _b[ems3trd]*1*60
replace cb9=. if dum==1

label var cwn "Central Bank Independence"


graph cb4 cb5 cb6 cwn, c(lll) sort xlab ylab border l1title(Predicted Cabinet Durability) b1title(Effect of Government Type and Monetary Commitment) s(OST)



